[8/8] scripts: add builddeb to create deb packages

Message ID 1421312084-12881-9-git-send-email-anders.roxell@linaro.org
State New
Headers show

Commit Message

Anders Roxell Jan. 15, 2015, 8:54 a.m.
Signed-off-by: Anders Roxell <anders.roxell@linaro.org>
---
 scripts/builddeb | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100755 scripts/builddeb

Comments

Steve McIntyre Jan. 15, 2015, 12:28 p.m. | #1
On Thu, Jan 15, 2015 at 09:54:44AM +0100, Anders Roxell wrote:
>Signed-off-by: Anders Roxell <anders.roxell@linaro.org>

Reviewed-by: Steve McIntyre <steve.mcintyre@linaro.org>

>---
> scripts/builddeb | 23 +++++++++++++++++++++++
> 1 file changed, 23 insertions(+)
> create mode 100755 scripts/builddeb
>
>diff --git a/scripts/builddeb b/scripts/builddeb
>new file mode 100755
>index 0000000..2c8fb0e
>--- /dev/null
>+++ b/scripts/builddeb
>@@ -0,0 +1,23 @@
>+#!/bin/bash
>+
>+set -e
>+
>+ROOT_DIR=$(readlink -e $(dirname $0) | sed 's|/scripts||')
>+version=$(echo $(${ROOT_DIR}/scripts/odp_version.sh))
>+
>+pushd ${ROOT_DIR}
>+./bootstrap
>+./configure
>+make dist
>+
>+cp opendataplane-${version}.tar.gz opendataplane_${version}.orig.tar.gz
>+tar xzf opendataplane_${version}.orig.tar.gz
>+
>+pushd ${ROOT_DIR}/opendataplane-${version}
>+cp -r ${ROOT_DIR}/debian .
>+
>+debuild -us -uc
>+popd
>+popd
>+
>+## vim: set sw=4 sts=4 et foldmethod=syntax : ##
>-- 
>2.1.4
>
>
>_______________________________________________
>lng-odp mailing list
>lng-odp@lists.linaro.org
>http://lists.linaro.org/mailman/listinfo/lng-odp
>
Cheers,

Patch

diff --git a/scripts/builddeb b/scripts/builddeb
new file mode 100755
index 0000000..2c8fb0e
--- /dev/null
+++ b/scripts/builddeb
@@ -0,0 +1,23 @@ 
+#!/bin/bash
+
+set -e
+
+ROOT_DIR=$(readlink -e $(dirname $0) | sed 's|/scripts||')
+version=$(echo $(${ROOT_DIR}/scripts/odp_version.sh))
+
+pushd ${ROOT_DIR}
+./bootstrap
+./configure
+make dist
+
+cp opendataplane-${version}.tar.gz opendataplane_${version}.orig.tar.gz
+tar xzf opendataplane_${version}.orig.tar.gz
+
+pushd ${ROOT_DIR}/opendataplane-${version}
+cp -r ${ROOT_DIR}/debian .
+
+debuild -us -uc
+popd
+popd
+
+## vim: set sw=4 sts=4 et foldmethod=syntax : ##